Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.platform.posix.natives
Class SelectImpl

    java.lang.Object
      com.sun.squawk.platform.posix.natives.SelectImpl

All Implemented Interfaces:
  Library, Select

Direct Known Subclasses:
  SelectImpl, SelectImpl, SelectImpl, SelectImpl

    public abstract class SelectImpl

extends Object
implements Select

Field Summary

Fields inherited from interface com.sun.squawk.platform.posix.natives.Select
`fd_set_SIZEOF, FD_SETSIZE, INSTANCE`

Constructor Summary
`SelectImpl()`

Method Summary
`void` | `FD_CLR(int arg0, Pointer arg1)` removes fd from fdset
`boolean` | `FD_ISSET(int arg0, Pointer arg1)` is non-zero if fd is a member of fd_set, zero otherwise.
`void` | `FD_SET(int arg0, Pointer arg1)` includes a particular descriptor fd in fdset.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.cldc.jna.Library
`initConstInt`

Constructor Detail

### SelectImpl

    public SelectImpl()

Method Detail

### FD_ISSET

    public boolean FD_ISSET(int arg0,
                            Pointer arg1)

  Description copied from interface: `Select`
  is non-zero if fd is a member of fd_set, zero otherwise.

  Specified by:
    `FD_ISSET` in interface `Select`
  Returns:

### FD_CLR

    public void FD_CLR(int arg0,
                       Pointer arg1)

  Description copied from interface: `Select`
  removes fd from fdset

  Specified by:
    `FD_CLR` in interface `Select`

### FD_SET

    public void FD_SET(int arg0,
                       Pointer arg1)

  Description copied from interface: `Select`
  includes a particular descriptor fd in fdset.

  Specified by:
    `FD_SET` in interface `Select`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"